/* google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Akaya+Kanadaka&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Akaya+Kanadaka&family=M+PLUS+Rounded+1c&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Akaya+Kanadaka&family=M+PLUS+Rounded+1c:wght@400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Zen+Maru+Gothic&display=swap');

:root{
    --default-font: "Zen Maru Gothic", "PingFang TC", sans-serif;
}

@font-face {
  font-family: "jf-openhuninn";
  src: url("https://cdn.jsdelivr.net/gh/justfont/open-huninn-font@master/font/jf-openhuninn-1.1.ttf");
}

:root{
    --default-font: "jf-openhuninn", "PingFang TC", sans-serif;
}

:root{
    --accent-font: "Akaya Kanadaka", "M PLUS Rounded 1c", "PingFang TC", sans-serif;
    --default-font: "M PLUS Rounded 1c", "PingFang TC", "Microsoft JhengHei", sans-serif;
}
:root{
    --primary-color:#1e1e2f;
    --secondary-color:#fdf6f9;
    --text-color:#666;
    --accent-color:#ff7aa2;   /* 粉色重點 */
}
:root{
    --default-font: "jf-openhuninn", "M PLUS Rounded 1c", "PingFang TC", sans-serif;
    --accent-font: "Akaya Kanadaka", cursive;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    font-family: var(--default-font);
}




:root{
    --primary-color:#222222;
    --dark-primary-color:#ffffff;
    --secondary-color:#F5F5F5;
    --text-color:#777777;
    --divider-color:#DDDDDD;
    --dark-text-color:#AEAEAE;
    --dark-divider-color:rgba(255,255,255,0.10);
    --error-color: rgba(230,87,87,1);
    --accent-font: "Akaya Kanadaka", "M PLUS Rounded 1c", "PingFang TC", "Microsoft JhengHei", sans-serif;
    --default-font: "jf-openhuninn", "PingFang TC", sans-serif;
    --transition:all 0.3s ease-in-out;
    --image-filter:grayscale(100%);
    --image-filter-hover:grayscale(0)
}

/* Common Css */
section{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 120px 16%;
    gap: 100px;
}
.section_title{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
    color: var(--dark-primary-color);
}
.section_title h2{

    font-size: 1rem;
    font-weight: 700;
    text-transform: uppercase;
    position: relative;
    z-index: 1;
}
.section_title h3::before{
    content: '';
    position: absolute;
    display: block;
    height: 26px;
    width: 26px;
    border-radius: 20px 20px 4px 20px;
    left: -4px;
    top: -5px;
    z-index: -1;
    background-color: #dadada;
    animation: ShapMove 2s infinite alternate;
}
@keyframes ShapMove {
    0%{
        transform: translateX(0px);
    }
    50%{
        transform: translateX(14px);
    }
    100%{
        transform: translateX(0px);
    }
}

.section_title h2{
    background: linear-gradient(45deg, #1DA1F2, #000000, #4A4A4A);
    border-radius: 50px 10px 50px 10px;
    color: #DDDDDD;
    font-size: 3.3rem;
    font-family: var(--accent-font);
}
.section_title p {
    font-size: 1rem;
    width: 90%;
    line-height: 1.8rem;
    font-weight: 500;
    color: var(--text-color);
}
.section_Image{
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.section_Image::after{
    content: '';
    position: absolute;
    top: 0%;
    left: -40%;
    z-index: 2;
    display: block;
    width: 20%;
    height: 100%;
    background: linear-gradient(to right, rgba(255,255,255, 0) 0%, rgba(255,255,255, .1) 100%);
    transform: skewX(-25deg);
    transition: all .4s;
}
.section_Image:hover::after{
    left: 120%;
}

.section_Image img{
    width: 100%;
    height: 100%;
    border-radius: 50% 50% 50% 10%;
    filter: var(--image-filter);
    transition: var(--transition);
}

.section_Image img:hover{
    filter: var(--image-filter-hover);
}

.Section_Icon{
    display: flex;
    justify-content: center;
    align-items: center;
    background: radial-gradient(circle at 30% 30%, #cfd8dc 0%, #607d8b 40%, #263238 100%);
    min-width: 100px;
    min-height: 100px;
    padding: 16px;
    border-radius: 50px 50px 50px 10px;
    transform: scale(1.1);
    transition: var(--transition);
}

.Section_Icon img{
    width: 80%;
    border-radius: 50px 50px 50px 10px;
}
.Section_Icon:hover{
    transform: scale(1);
}

.Section_Content{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.Section_Content h2{
    font-size: 16px;
    font-weight: 700;
}

.Section_Content p{
    color: var(--text-color);
    font-weight: 500;
    font-size: 1rem;
    line-height: 1.5rem;
    width: 80%;
    margin: 0 auto;
}

.btn{
    width:140px;
    height: 50px;
    border: 2px solid var(--dark-primary-color);
    background-color: transparent;
    border-radius: 30px;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.btn a{
    position: relative !important;
    color: var(--dark-primary-color) !important;
    z-index: 1 !important;
    font-weight: 600 !important;
    font-family: var(--accent-font) !important;
}
.btn::after{
    content: '';
    position: absolute;
    top: 0%;
    left: 0%;
    height: 100%;
    width: 0%;
    background-color: var(--dark-primary-color);
    border-radius: 30px;
    transition: var(--transition);
}
.btn:hover::after{
    width: 100%;
}
.btn:hover a{
    color: var(--primary-color) !important;
}

.sticky{
    background-color: rgba(0,0,0,0.8);
    border-bottom: 0.2px solid var(--dark-primary-color);
}
nav{
    background-color: var(--primary-color);
    width: 100%;
    height: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0%;
    left: 0%;
    padding: 0 16%;
    z-index: 999;
    transition: var(--transition);
    border-bottom: 1px solid var(--dark-divider-color)
}

nav .logo{
    width: 130px;
}
.logo a{
    font-size: 2rem;
    font-weight: 300;
    color: var(--dark-primary-color);
}
.logo a span{
    color: var(--error-color);
    font-weight: 500;
}

nav .menu{
    display: flex;
    align-items: center;
    gap: 50px;
}
nav .menu li a{
    color: var(--dark-primary-color);
    font-size: 1rem;
    transition: var(--transition);
    font-weight: 600;
}
nav .menu li a:hover{
    color: var(--dark-text-color);
}

#toggle{
    display: none;
}

/* Hero Section */

.Hero{
     background: linear-gradient(45deg, #1DA1F2, #000000, #4A4A4A);
    min-height: 90vh;
    padding-bottom: 80px;
}
.Hero h2{
    background: linear-gradient(45deg, #1DA1F2, #000000, #4A4A4A);
    font-size: 30px;
    border-radius: 50px 50px 10px 50px;
}
.Hero .highlight {
  color: #e63946;
  font-weight: bold;
}
.Hero_title {
  display: flex;
  flex-direction: column;   /* 直排 */
  justify-content: center;  /* 垂直置中 */
  align-items: center;      /* 水平置中 */
  text-align: center;       /* 文字也置中 */
  height: 100vh;            /* 滿版高度（關鍵） */
}

.Hero_title h2::before{
    background-color: #595959;
}

.Hero_title ul{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.Hero_title ul li{
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--dark-text-color);
    padding-bottom: 10px;
}
.Hero_title ul li:nth-child(1){
    border-bottom: 1px solid var(--dark-divider-color);
}
.Hero_btns{
    width: 100%;
    display: flex;
    align-items: center;
    gap: 20px;
}

.Hero_btns button:nth-child(2){
    width: 160px;
}
figure{
    border-radius: 400px 400px 400px 50px;
    overflow: hidden;
    width: auto;
    position: relative;
}
figure img {
    width: 100%;
    border-radius: 12px;
    box-shadow: 0 0 15px #1DA1F2,
                0 0 30px #1DA1F2,
                0 0 60px #1DA1F2,
                0 0 100px #1DA1F2;
    transition: box-shadow 0.3s ease;
}

figure img:hover {
    box-shadow: 0 0 25px #1DA1F2,
                0 0 50px #1DA1F2,
                0 0 100px #1DA1F2,
                0 0 150px #1DA1F2;
}
/* Feature_Splides Section */
.MySplide{
    background-color: var(--secondary-color);
    padding: 30px 0;
}

.Feeture_Tricker_Splide{
    width: 250px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    font-size: 1rem !important;
    font-weight: 600 !important;
}

.Feeture_Tricker_Splide img{
    width: 20%;
}

.About{
    background-color: var(--dark-primary-color);
    gap: 50px;
}

.About_Page{
    height: 500px;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.About_Img_1 {
  display: flex;
  justify-content: center;  /* 水平置中 */
  align-items: center;      /* 垂直置中 */
}

.About_Img_1 img {
  max-width: 100%;
  height: auto;
}

.About_Img_1{
    height: 100%;
    width: 60%;
    border-radius: 50px 50px 0px 50px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.About_Img_1 img{
    width: 100%;
    border-radius: 0;
}

.About_Year_Image{
    height: 100%;
    width: 40%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.About_Year{
    height: 29%;
    width: 100%;
    padding: 9px;
    background-color: var(--primary-color);
    text-align: center;
    border-radius: 50px 50px 0 50px;
    margin-bottom: 6px;
}

.About_Year p{
    font-family: var(--accent-font);
    font-size: 2rem;
    color: var(--dark-primary-color);
    font-weight: 500;
}

.About_Year h4{
    font-size: 3rem;
    font-weight: 700;
    letter-spacing: -0.5px;
    color: var(--dark-primary-color);
}

.About_Img_2{
    height: 70%;
    width: 100%;
    border-radius: 30px 30px 30px 0 !important;
    object-fit: cover;
}

.About_Img_2 img{
    width: 100%;
    height: 100%;
    border-radius: 0;
    object-fit: cover;
}
.About_Img_1 img{
    width: 300px;
  height: 300px;
  object-fit: cover;
}

.About_title{
    color: var(--primary-color);
    text-align: center;
    align-items: center;
}
.About_title h2{
    color: #CC2366;
    font-size: 30px;
}

.About_title p{
    width: 100%;
}

.About_title ul{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.About_title ul li{
    font-size: 1rem;
    font-weight: 700;
    border-bottom: 1px solid var(--divider-color);
    padding-bottom: 10px;
    color: var(--text-color);
}

.About_title ul li span{
    color: var(--primary-color);
}

.About_title .btn{
    border: 2px solid var(--primary-color);
}

.About_title .btn a{
    color: var(--primary-color) !important;
}
.About_title .btn::after{
    background-color: var(--primary-color);
}

.About_title .btn:hover a{
    color: var(--dark-primary-color) !important;
}

/* Services Section */

.Service{
    background-color: var(--secondary-color);
    flex-direction: column;
}

.Service h2{
    font-size: 20px;
    font-weight: 800;
     color: #CC2366;
}

.Service_title{
    width: 100%;
    text-align: center;
    align-items: center;
    color: var(--primary-color);
}
.Service_Content p{
    font-size: 12px;
    font-weight: 600;
  background: linear-gradient(45deg, #1DA1F2, #000000, #4A4A4A);
  color: #ffffff !important;  
    border-radius: 50px 50px 10px 50px;
    }

.Service_Wrap{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    place-content: center;
    place-items: center;
    gap: 50px;
}

.Service_Item{
    width: 100%;
    display: flex;
    text-align: center;
    align-items: center;
    flex-direction: column;
    gap: 30px;
}


/* Feature Section */

.Feature{
    background-color: var(--dark-primary-color);
}

.Feature_title{
    color: var(--primary-color);
}
.Feature_title h2{
    font-size: 16px;
    color: #CC2366;
    text-align: center;
}

.Feature_Wrap{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding-top: 30px;
}

.Feature_Icon{
    width: 120px;
    transform: scale(1);
    border-radius: 50px 50px 10px 50px;
}

.Feature_Icon img{
    width: 70%;
}

.Feature_Item{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 30px;
}

.Feature_Content{
    gap: 14px;
}

.Feature_Content p{
    width: 100%;
    margin: 0;
}

/* Company Facts */

.Company_Facts{   
    background-color: var(--secondary-color);
    padding: 50px 16%;
    gap: 0;
}

.Facts_title{
    color: var(--primary-color);
}

.Facts_title h2{
    font-size: 8px;
    color: #CC2366;
}
.Facts_Wrap{
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.Counter_Item{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
}

.Counter_Icon{
    width: 90px;
    height: 90px;
    border-radius: 50px 50px 6px 50px;
}

.Counter_Content{
    text-align: center; 
    gap: 8px;
}

.Counter_Content h2{
    font-size: 10px;
    font-family: var(--accent-font);
}

/* Photo Gallery Section */

.Photo_Gallery{
    padding: 120px 0%;
    background-color: var(--dark-primary-color);
    flex-direction: column;
}

.Photo_Gallery_title{
    width: 100%;
    align-items: center;
    text-align: center;
    color: var(--primary-color);
}

.Photo_Gallery_Image{
    width: 100%;
    height: 506px !important;
    border-radius: 0;
}

.Photo_Gallery_Image img{
    border-radius: 50px 50px 50px 10px;
}

/* Our_Best_Price Section */

.Our_Best_Price{
    flex-direction: column;
    background-color: var(--secondary-color);
}

.Price_title{
    align-items: center;
    text-align: center;
    width: 100%;
    color: var(--primary-color);
}

.Our_Best_Price_Main{
    
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    place-content: center;
    place-items: center;
}

.Price_Card{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--dark-primary-color);
    padding: 40px;
    border-radius: 50px 50px 10px 50px;
    position: relative;
    transition: var(--transition);
    z-index: 1;
}

.Price_Card::after{
    content: '';
    position: absolute;
    height: 100%;
    width: 0%;
    top: 0%;
    left: 0%;
    border-radius: 50px 50px 10px 50px;
    background-color: var(--primary-color);
    z-index: -1;
    opacity: 0;
    transition: var(--transition);
}

.Price_Card:hover::after{
    opacity: 1;
    width: 100%;
}

.Price_Card:hover .Price_Content h2{
    color: var(--dark-primary-color);
}

.Price_Card:hover .Price_Icon{
    background-color: var(--dark-primary-color);
    color: var(--primary-color);
}

.Price_Content h2{
    font-size: 1.5rem;
    transition: var(--transition);
}

.Price_Content p{
    width: 100%;
    margin: 0;
}

.Price_Icon{
    height: 80px;
    width: 80px;
    font-family: var(--accent-font);
    color: var(--dark-primary-color);
    border-radius: 50px 50px 50px 8px;
    font-size: 1.6rem;
    font-weight: 600;
    transition: var(--transition);
}

/* Offers Section */

.Offers{
    flex-direction: column;
    background-color: var(--dark-primary-color);
}

.Price_title{
    width: 100%;
    text-align: center;
    align-items: center;
}


.Offers_Main{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}

.Offer_Card{
    width: 100%;
    min-height: 300px;
    border-radius: 50px 50px 10px 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px;
    padding-bottom: 0;
    background-color: var(--secondary-color);
}

.Offer_Card:nth-child(2){
    border-radius: 50px 50px 50px 10px;
}

.Offer_Content{
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.Offer_Content p{
    font-size: 1rem;
    font-weight: 400;
    color: var(--text-color);
    line-height: 1.7rem;
}

.Offer_Content .btn{
    border: 2px solid var(--primary-color);
}

.Offer_Content .btn a{
    color: var(--primary-color) !important;
}

.Offer_Content .btn::after{
    background-color: var(--primary-color);
}

.Offer_Content .btn:hover a{
    color: var(--dark-primary-color) !important;
}

.Offer_Image{
    border-radius: 0;
}

.Offer_Image img{
    width: 100%;
    border-radius: 0;
}

.Testimonials{
    flex-direction: column;
    background-color: var(--secondary-color);
}

.Testimonials_title{
    width: 100%;
    text-align: center;
    align-items: center;
    color: var(--primary-color);
}

.Testimonials_Splide{
    width: 100%;
}

.Testimonials_Item{
    width: 100%;
    background-color: var(--dark-primary-color);
    padding: 30px;
    border-radius: 50px 50px 10px 50px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.Testimonials_Top{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 30px;
    position: relative;
}

.Testimonials_Top::after{
    content: '';
    position: absolute;
    top: 5%;
    right: 5%;
    background-image: url(image/icon-quote.svg);
    background-repeat: no-repeat;
    background-size: contain;
    height: 80px;
    width: 80px;
    opacity: 0.1;
    transition: var(--transition);
}

.Testimonials_Item:hover .Testimonials_Top::after{
    opacity: 1;
}

.Testimonials_Image{
    width: 100px;
    height: 100px;
    border-radius: 50px 50px 8px 50px;
}

.Testimonials_Image img{
    width: 100%;
    filter: var(--image-filter);
    border-radius: 0;
    transition: var(--transition);
}

.Testimonials_Item:hover .Testimonials_Image img{
    filter: var(--image-filter-hover);
}

.Author_Info h3{
    font-size: 1.3rem;
    margin-bottom: 10px;
}

.Author_Info i{
    padding: 0 2px;
    font-size: 1.3rem;
}

.Testimonials_Item p{
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5rem;
    color: var(--text-color);
}


.splide__arrow--prev{
    display: none !important;
}
.splide__arrow--next{
    display: none !important;
}


/* Blog Section */

.Blog{
    flex-direction: column;
    background-color: var(--dark-primary-color);
}

.Blog_title{
    width: 100%;
    text-align: center;
    align-items: center;
    color: var(--primary-color);
}

.Blog_Wrap{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    place-content: center;
    place-items: center;
    gap: 30px;
}

.Blog_Card{
    width: 100%;
    display: flex;
    flex-direction: column;
    border-radius: 50px 50px 10px 50px;
    background-color: var(--secondary-color);
    overflow: hidden;
}

.Blog_Image{
    width: 100%;
    border-radius: 0;
    overflow: hidden;
}

.Blog_Image img{
    border-radius: 0;
    transition: var(--transition);
}

.Blog_Content{
    padding: 30px;
    display: flex;
    flex-direction: column;
    position: relative;
}

.Blog_Content h3{
    font-size: 1.5rem;
    line-height: 2rem;
    margin-bottom: 30px;
}

.Blog_element{
    position: absolute;
    bottom: 5%;
    right: 3%;
    height: 44px;
    width: 44px;
    background: linear-gradient(90deg, #1877F2, #3B5998);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30px 30px 4px 30px;
}

.Blog_element img{
    width: 100%;
    transition: var(--transition);
}

.Blog_Card:hover .Blog_element img{
    transform: rotate(40deg);
}
.Blog_Card:hover .Blog_Image img{
    transform: scale(1.1);
}
.Blog_Card:hover .section_Image::after{
    left: 125%;
}
.Blog_Card:hover .Blog_Image img{
    filter: var(--image-filter-hover);
}

/* Contact Section */
.Contact{
    background-color: var(--primary-color);
    display: grid;
    grid-template-columns: repeat(3,1fr);
    place-content: center;
    place-items: center;
    border-bottom: 1px solid var(--dark-divider-color);
    gap: 50px;
}
.Contact_Col{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
    text-align: center;
    color: var(--dark-primary-color);
}

.Contact_Icon{
    height: 70px;
    width: 70px;
    background-color: var(--dark-primary-color);
    border-radius: 50px 50px 10px 50px;
}
.Contact_Icon img{
    width: 80%;
}

.Contact_Info h2{
    font-size: 1.2rem;
    font-weight: 700;
    margin-bottom: 10px;
}

.Contact_Info ul{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.Contact_Info ul li{
    font-size: 1rem;
    color: var(--dark-text-color);
}
.Contact_Info p{
    font-size: 1rem;
    width: 70%;
    margin: 0 auto;
    color: var(--dark-text-color);
}

/* Footer */
footer{
    background-color: var(--primary-color);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 80px 16%;
}
.Footer_left{
    width: 40%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.F_logo{
    width: 130px;
}
.F_logo a{
    font-size: 2rem;
    font-weight: 300;
    color: var(--dark-primary-color);
}

.F_logo a span{
    color: var(--error-color);
    font-weight: 500;
}

.Social_Icon{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
}
.Social_Icon i{
    font-size: 1rem;
    color: var(--dark-primary-color);
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px 20px 6px 20px;
    background-color: var(--dark-divider-color);
    transition: var(--transition);
}
.Social_Icon i:hover{
    transform: translateY(-10px);
}
.Social_Icon i:nth-child(1){
    background: linear-gradient(45deg, #00B4D8, #0077B5);
}
.Social_Icon i:nth-child(2){
    background: linear-gradient(45deg, #F09433, #E6683C, #DC2743, #CC2366, #BC1888);
}
.Social_Icon i:nth-child(3){
    background: linear-gradient(45deg, #1DA1F2, #000000, #4A4A4A);
}
.Social_Icon i:nth-child(4){
    background: linear-gradient(90deg, #1877F2, #3B5998);
}
.Footer_Right{
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 20px;
}
.Footer_Right ul{
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: start;
    gap: 30px;
    color: var(--dark-text-color);
}
.Footer_Right ul li a{
    font-size: 1.1rem;
    font-weight: 500;
    transition: var(--transition);
    color: var(--dark-text-color);
}

.Footer_Right ul li a:hover{
    color: var(--dark-primary-color);
}
.Footer_Right p{
    color: var(--dark-text-color);
}
.Footer_Right p span{
    color: var(--dark-primary-color);
    font-weight: 600;
    font-family: var(--accent-font);
    letter-spacing: 1px;
}

@media screen and (max-width:1400px){
    section{
        padding: 120px 10%;
    }
    
    nav{
        padding: 0px 10%;
    }
    .MySplide{
        padding: 20px 0;
    }
    .Company_Facts{
        padding: 120px 10%;
    }
    .Counter_Content h2{
        font-size: 1rem !important;
    }
    .Price_Card{
        padding: 30px;
    }
    footer{
        padding: 120px 10%;
    }
}

@media screen and (max-width:1200px){
    section{
        padding: 120px 8%;
        gap: 30px;
    }
    .section_title h2{
        font-size: 1.7rem;
        text-align: center;
    }
    nav{
        padding: 0px 8%;
    }
    .About_title ul li{
        font-size: 0.8rem;
    }

    .About_title h2{
        font-size: 2.5rem;
    }

    .Feature_Content h2{
        font-size: 1.3rem !important;
    }

    .Company_Facts{
        padding: 120px 8%;
    }
    .Counter_Content p{
        font-size: 0.8rem;
    }
    .Photo_Gallery{
        gap: 80px;
    }
    .Our_Best_Price_Main{
        grid-template-columns: repeat(2,1fr);
    }

    .Offer_Image img{
        width: 100% !important; 
    }

    .Offer_Content p{
        font-size: 0.9rem;
    }
    .Blog_Content h3{
        font-size: 1.3rem;
        line-height: 1.8rem;
    }
    .Blog_Wrap{
        gap: 10px;
    }
    footer{
        padding: 120px 8%;
    }
}

@media screen and (max-width:900px) {

    section{
        flex-direction: column;
        padding: 120px 2%;
    }
    .section_title{
        width: 100%;
    }
    .section_Image{
        width: 100%;
    }
    .section_Image img{
        width: 70%;
    }
    #toggle{
        display: block;
        font-size: 2.3rem;
        font-weight: 700;
        color: var(--dark-primary-color);
    }
    nav{
        padding: 0px 2%;
    }
    .menu{
        height: 0;
        position: absolute;
        flex-direction: column;
        align-items: start !important;
        top: 100%;
        left: 0%;
        width: 100%;
        background-color: var(--dark-primary-color) !important;
        padding-left: 2%;
        opacity: 0;
        overflow: hidden;
        transition: all .2s;
        z-index: 999;
        gap: 30px !important;
        padding-top: 20px;
        border-bottom: 1px solid var(--primary-color);
    }
    .menu li button{
        display: flex;
        justify-content: flex-start;
        align-items: center;
        height: 20px;
    }
    .menu li a{
        color: var(--primary-color) !important;
    }
    .show_menu{
        height: 320px;
        opacity: 1;
    }

    .Hero{
        flex-direction: column-reverse;
    }

    .Feeture_Tricker_Splide{
        width: 180px;
        font-size: 1rem;
    }

    .About_Page{
        width: 100%;
    }
    .About_Img_1{
        width: 50% !important;
    }
    .About_Img_1 img{
        width: 100%;
    }
    .About_Img_2 img{
        width: 100%;
    }

    .Service_Wrap{
        grid-template-columns: repeat(2,1fr);
    }
    .Company_Facts{
        padding: 120px 2%;
        gap: 80px;
    }
    .Facts_Wrap{
        width: 100%;
    }
    .Photo_Gallery_Image img{
        width: 100% !important;
    }
    .Offers_Main{
        flex-direction: column;
    }
    .Offer_Image{
        width: 50% !important;
    }
    .Offer_Image img{
        width: 80% !important;
    }
    .Blog_Wrap{
        grid-template-columns: repeat(2,1fr);
        gap: 30px;
    }
    .Blog_Image img{
        width: 100%;
    }
    footer{
        padding: 120px 2%;
    }
}

@media screen and (max-width:768px) {
    .Our_Best_Price_Main{
        grid-template-columns: repeat(1,1fr);
    }
    .Price_Card{ 
        width: 90%;
    }
    .Offer_Image{
        width: 90% !important;
    }
    .Offer_Image img{
        width: 100%;
    }
    .Offer_Content p{
        font-size: 0.8rem;
    }
    .Contact{
        grid-template-columns: repeat(2,1fr);
    }
    footer{
        flex-direction: column;
        gap: 50px;
        padding: 30px 2%;
    }
    .Footer_left{
        width: 100%;
        align-items: center;
    }
    .Social_Icon{
        justify-content: center;
    }
    .Footer_Right{
        width: 100%;
        align-items: center;
    }
    .Footer_Right ul{
        justify-content: center;
    }
}

@media screen and (max-width:500px) {
        .section_title h2{
            font-size: 1.9rem;
        }
        .section_title h3{
            font-size: 0.9rem;
            font-weight: 500;
        }
        .section_title p{
            width: 90%;
        }
        .Hero ul li{
            font-size: 1.2rem;
        }
        .About_Year h4{
            font-size: 2.7rem;
        }
        .Service_Wrap{
        grid-template-columns: repeat(1,1fr);
    }

    .Feature_title{
        text-align: center;
        align-items: center;
    }
    .Feature_Item{
        flex-direction: column;
    }
    .Feature_Content{
        text-align: center;
    }
    .Feature_Content p{
        margin: 0 auto;
    }
    .Feature_Icon img{
        width: 50%;
    }
    .Feature_Icon{
        min-width: 90px;
    }
    .Facts_title{
        align-items: center;
    }
    .Facts_Wrap{
        flex-wrap: wrap;
        gap: 30px;
    }
    .Counter_Content h2{
        font-size: 3rem !important;
    }
    .Counter_Content p{
        font-size: 1rem;
    }
    .Price_Card{
        width: 100%;
    }
    .Offer_Image img{
        width: 100% !important;
        object-fit: contain;
    }
    .Blog_Wrap{
        grid-template-columns: repeat(1,1fr);
    }
    .Contact{
        grid-template-columns: repeat(1,1fr);
    }
    .Footer_Right ul{
        gap: 20px;
    }
    .Footer_Right ul li a{
        font-size: 0.9rem;
    }
    .Footer_Right p{
        font-size: 0.8rem;
    }
}